Skip to main content
POST
/
library
/
{libraryId}
/
videos
/
fetch
Fetch Video
curl --request POST \
  --url https://video.bunnycdn.com/library/{libraryId}/videos/fetch \
  --header 'AccessKey: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "headers": {},
  "title": "<string>"
}
'
import requests

url = "https://video.bunnycdn.com/library/{libraryId}/videos/fetch"

payload = {
"url": "<string>",
"headers": {},
"title": "<string>"
}
headers = {
"AccessKey": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {AccessKey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', headers: {}, title: '<string>'})
};

fetch('https://video.bunnycdn.com/library/{libraryId}/videos/fetch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "<string>",
  "statusCode": 123
}
{
"success": true,
"message": "<string>",
"statusCode": 123
}
{
"success": true,
"message": "<string>",
"statusCode": 123
}
{
"success": true,
"message": "<string>",
"statusCode": 123
}

Authorizations

AccessKey
string
header
required

AccessKey based authentication

Path Parameters

libraryId
integer<int64>
required

Query Parameters

collectionId
string | null
thumbnailTime
integer<int32> | null

(Optional) Video time in ms to extract the main video thumbnail.

Body

application/json
url
string
required

The URL from which the video will be fetched from.

Minimum string length: 1
headers
object | null

The headers that will be sent along with the fetch request.

title
string | null

The title that will be set to video.

Response

The video was successfully fetched

success
boolean

Determines if the request was successful

message
string | null

Response message description

statusCode
integer<int32>

The response status code

Last modified on July 9, 2026